package server.messaging.queue;

import java.util.Vector;

import server.messaging.ResultMessage;

/**
 *ResultMessageQueue is the queue which contains ResultMessage 
 */
public class ResultMessageQueue {

	public static int QUEUE_NR;
	
	private String queueName;
	private int queueNumber;
	private Vector queue;
	
	public ResultMessageQueue(String qName) {
		queueNumber = ++ QUEUE_NR;
		queue = new Vector();
		queueName = qName;
	}
	
	public void enqueue(ResultMessage msg) {
		queue.addElement(msg);
	}
	
	public ResultMessage dequeue(int msgNr) {
		for (int i = 0; i < queue.size(); i ++) {
			ResultMessage msg = (ResultMessage) queue.elementAt(i);
			if (msg.getMessageNumber() == msgNr) {
				queue.removeElementAt(i);
				return msg;
			}
		}
		return null;
	}
	
	public String getQueueName() {
		return queueName;
	}
}
