package server;

import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.RemoteException;

public class DataMessagePoolServer {
	
	public static void main(String[] args) {
		try{
			DataMessagePoolImpl m = new DataMessagePoolImpl();
			Naming.rebind("persistMessagePool" , m);
			System.out.println("MessagePool Server Ready!");
		}
		catch (RemoteException e) {
			System.out.println("Exception in MessagePoolImpl.main: " + e);
		}
		catch (MalformedURLException e) {
			System.out.println("MalformedURLException " + e);
		}
	}
}
