package server.messaging;

public class PutRequestMessage extends RequestMessage{
	private String message;
	private String queue_name;
	
	public PutRequestMessage(String msg, String qname ) {
		super();
		setType(RequestMessage.PUT_MSG_REQUEST);
		
		message = msg;
		queue_name = qname;
	}
	
	public String getMessage(){
		return message;
	}
	
	public String getQueueName() {
		return queue_name;
	}
}
